import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;


public class Die {
	public static boolean[][][] patterns = {
			{
				{false, false, false},
				{false, true, false},
				{false, false, false}
			}, 
			{
				{true, false, false},
				{false, false, false},
				{false, false, true}
			},
			{
				{true, false, false},
				{false, true, false},
				{false, false, true}
			},
			{
				{true, false, true},
				{false, false, false},
				{true, false, true}
			},
			{
				{true, false, true},
				{false, true, false},
				{true, false, true}
			},
			{
				{true, false, true},
				{true, false, true},
				{true, false, true}
			},
			{
				{false, false, true},
				{false, false, false},
				{true, false, false}
			},
			{
				{false, false, true},
				{false, true, false},
				{true, false, false}
			},
			{
				{true, true, true},
				{false, false, false},
				{true, true, true}
			},
	};
	
	public static int[] PATTERN_RESULT = {1, 2, 3, 4, 5, 6, 2, 3, 6};
	
	public static boolean[][] dice = new boolean[3][3];
	
	public static void main(String[] args) throws IOException {
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		
		for(int y = 0; y < 3; y++) {
			String line = br.readLine();
			
			for(int x = 0; x < 3; x++) {
				dice[y][x] = (line.charAt(x) == 'o');
			}
		}
		
		for(int y = 0; y < 3; y++) {
			for(int x = 0; x < 3; x++) {
			}
		}
		
		for(int i = 0; i < patterns.length; i++) {
			boolean tmp = true;
			for(int y = 0; y < 3; y++) {
				for(int x = 0; x < 3; x++) {
					if(dice[y][x] != patterns[i][y][x]) {
						tmp = false;
						break;
					}
				}
				if(!tmp) break;
			}
			
			if(tmp) {
				System.out.println(PATTERN_RESULT[i]);
				System.exit(0);
			}
			
			
		}
		
		System.out.println("unknown");
	}
}
